Bug 612328 - bodhi sends email notifications to username@fp.o alias, which may not forward to real email address
bodhi sends email notifications to username@fp.o alias, which may not forward...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: bodhi (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-07 17:47 EDT by Andre Robatino
Modified: 2016-09-19 22:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-30 13:00:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andre Robatino 2010-07-07 17:47:43 EDT
Description of problem:
I just became a member of the proventesters group.  Before that, I wasn't a member of any non-CLA group, and didn't have a working fedoraproject.org email alias.  Previously, my comments in Bodhi didn't generate email notifications, but now they do.  This seems to be because of a false assumption that email to FASusername@fedoraproject.org will always get forwarded.  In reality, the forwarding only works if one is a member of at least one non-CLA group (which is a much higher barrier than just having a Fedora Project account).

Bugzilla requires a login, and generates email notifications by default, even though bugzilla comments have much less influence than bodhi comments.  My feeling is that Bodhi should be at least as strict.  If someone makes a mistaken Bodhi comment, and there is a followup comment correcting it, there should be email notification, and this shouldn't require jumping the hurdle of joining a non-CLA group (in fact, if anything, it's more important that new users can get the feedback they need to improve).  Also, requiring a Bodhi login would eliminate the issue of anonymous testers giving karma without realizing that it's being ignored.

Version-Release number of selected component (if applicable):
bodhi v0.7.5 (that's what it says at http://bodhi.fedoraproject.org)

How reproducible:
always

Steps to Reproduce:
1. Create a Fedora Project account and don't join any new groups.
2. Use it to log into http://bodhi.fedoraproject.org and post a comment.
  
Actual results:
No email notification, since Bodhi attempts sending to FASusername@fedoraproject.org which isn't being forwarded.

Expected results:
Either 1) Bodhi should find the real email address associated with FASusername, and send email directly to that, or 2) forwarding from FASusername@fedoraproject.org to the real email address should work for everyone.

Additional info:
I'm not sure if bodhi is the correct component, or what the proper Version is.  Please change if necessary.
Comment 1 Andre Robatino 2010-07-07 17:49:43 EDT
Should also have mentioned that Bugzilla email notifications don't require any group memberships.  They just work.
Comment 2 Bug Zapper 2010-07-30 08:28:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Mike C 2010-08-31 16:28:36 EDT
I don't know if this is related but when going to bodhi web interface and entering comments on packages the following is an issue:

After making a comment in bodhi on a specific build, then email is received from updates@fedoraproject.org at the correct address, for all commenters, but the mail "To:" header is unrelated to the correct recipient address.  I don't know if this change coincided with the proventester changes, or if this was already occurring before that, but it seems it is wrong now.

example mail received in gmail at my correct address:

"from	updates@fedoraproject.org
to	mcloaked
date	Tue, Aug 31, 2010 at 5:33 PM
subject	[Fedora Update] [CRITPATH] [comment] kernel-2.6.34.6-47.fc13
mailed-by	fedoraproject.org

The following comment has been added to the kernel-2.6.34.6-47.fc13 update:
etc etc"

In the above the "to" header is not a valid email address, and should be mike.cloaked@gmail.com, and not mcloaked, in this case. The mail system for bodhi should be reconfigured to correct this.
Comment 4 gene c 2010-08-31 17:16:29 EDT
I see this as well. The SMTP envelope seems fine - and the mail is therefore delivered.

The To: header is a bit broken however - and it would be better to have no header than a broken one. 

Or just RFC 2922 : To: undisclosed-recipients:;

The current header is not good. In addition,  the mismatch of the header and the envelope may well lead some filters to view this more likely to be spam.

 gene
Comment 5 Fedora End Of Life 2013-04-03 14:45:41 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 6 Luke Macken 2015-11-30 13:00:33 EST
This issue has been solved in https://github.com/fedora-infra/bodhi/pull/457

Note You need to log in before you can comment on or make changes to this bug.